# coding: utf-8
module BlsmVdCore
  class Application < BlsmVdCore::BaseRecord
    self.table_name='applications'
    belongs_to :user, class_name: "::BlsmVdCore::User"
    has_many :orders, class_name: "::BlsmVdCore::Order"


    #到付押金开关状态
    def toggle_delivery_deposit
      (self.toggle_setting.to_i & 0b00000001) == 1
    end

    #更新状态
    def toggle_delivery_deposit=(toggle)
      reload
      update_attribute(:toggle_setting, (toggle ? (self.toggle_setting.to_i | 0b00000001) : (self.toggle_setting.to_i ^ 0b00000001)))
      reload
    end

  end
end