# coding: utf-8
module BlsmVdCore
  class Setting < BlsmVdCore::BaseRecord
    self.table_name='settings'


    #订单签收,奖励加粉金额
    def self.vd_order_sign_fans_rewards
      setting = Setting.where(name: 'vd_order_sign_fans_reward').pluck(:value)[0]
      return nil unless setting
      array = setting.split('|')
      {order_money: array[0].to_i, reward_money: array[1].to_i}
    end

    #老版的邀请奖励
    def self.old_invite_reward_expired_at
      Setting.where(name: 'vd_old_invite_reward_expired_at').pluck(:value)[0].to_s
    end
  end
end