# coding: utf-8
module BlsmVdCore
  class UboxVm < BlsmVdCore::BaseRecord
    self.table_name='ubox_vms'
    belongs_to :application, class_name: "::BlsmVdCore::Application"

    #settlement 结算方式  0:默认(售价25%), 1:加盟商(售价100%),其他：百分比
    def settlement_rate
      return 1.0 if self.settlement==1
      return self.settlement.to_f if self.settlement.to_f<1 && self.settlement.to_f>0
      0.25
    end
  end
end