# coding: utf-8
module BlsmVdCore
  class VdUserScore < BlsmVdCore::BaseRecord
    self.table_name='vd_user_scores'
    belongs_to :user, class_name: '::BlsmVdCore::User'
    SCORES = {
        INVITE: 5, #邀请他人，邀请者获取的积分数
        BE_INVITED: 5, #被人邀请，被邀请者获取的积分数
        SALE_OUT_DIRECT: 5/100.0, #订单完成，微店主直接获取的积分比
        SALE_OUT_INDIRECT: 15/100.0, #订单完成，微店主的队长获取的积分比
        SCORE_TO_MONEY: 1/1 #积分变现（积分抵货款的比例）
    }
  end
end