# coding: utf-8
module BlsmVdCore
  class VdWeekOrderSale <  BlsmVdCore::BaseRecord
    self.table_name='vd_week_order_sales'
    belongs_to :order
    before_create :generate_week
    #week 格式：2017-0220-0226

    private

    #默认生成上一周的week开始日+结束日
    def generate_week
      unless self.week
        t = Time.now - 7.day
        self.week = "#{t.strftime('%Y')}-#{t.at_beginning_of_week.strftime("%m%d")}-#{t.at_end_of_week.strftime("%m%d")}"
      end
    end
  end
end