module BlsmVdCore

  def self.load_config
    config_path = Rails.root ? File.join(Rails.root, "config", "database.yml") : './config/database.yml'
    File.open(config_path).inject('') { |text, line| text+line }
  end

  class BaseRecord < ActiveRecord::Base
    self.configurations = YAML::load(ERB.new(BlsmVdCore::load_config).result)
    establish_connection Rails::env.to_s.to_sym
    self.table_name='users'
  end
end